# Bforartists

[![Build status](https://ci.appveyor.com/api/projects/status/alpp11hxsn7ix39o?svg=true)](https://ci.appveyor.com/project/ktotheoz/bforartists)
[![Build Status](https://img.shields.io/travis/Bforartists/Bforartists.svg?branch=master&job=1&label=Linux)](https://travis-ci.org/Bforartists/Bforartists)
[![Build Status](https://img.shields.io/travis/Bforartists/Bforartists.svg?branch=master&job=2&label=Mac)](https://travis-ci.org/Bforartists/Bforartists)

Bforartists is a fork of the popular 3D software Blender, with the goal to improve the graphical UI, and to increase the usability.

The project page, the binary downloads and further information can be found at the project page: https://www.bforartists.de/

Please use the tracker at the bforartists page to add issues, bug reports and requests. The tracker can be found here: https://github.com/Bforartists/Bforartists/issues

The main differences to Blender are:

- A brand new Keymap with Left Click select, which is reduced to just the necessary hotkeys.
- Cleaned up User Interface. More than 400 not necessary double menu entries removed.
- Extended User Interface. Close to 100 formerly hotkey only tools have a menu entry now.
- Rearranged User Interface. Some things are better accessible now, some are not so much in the way anymore.
- 700 new native icons.
- Icon Buttons in the Tool Shelf to reduce the scrolling.
- A configurable Toolbar with icon buttons.
- Improved Layouts.
- Better Tooltips.
- Better readable standard theme.
- Some neat new addons to improve usability, like the reset 3D View addon or the Important Hotkey addon.
- And lots more small details like hidable 3D Cursor or Wireframe Colors. Or that you can now delete objects and selections without the delete menu quiz.

A detailed list of the changes can be found in the release notes: https://www.bforartists.de/wiki/release-notes

But the code is just half of the show. Another important bit are the non code things.

- The Bforartists usage is centered around the graphical menu, not hotkeys. Bforartists relies at an intuitive and self explaining graphical UI in the first place. And then the hotkeys.
- The target audience for Bforartists are hobbyists and indie developers. Blender tries to target professionals. But most of them don't care for various reasons.
- A better manual. The Blender manual is in big parts unsearchable, has an odd structure, and relies heavily at the Blender keymap to name just a few flaws, making it unusable for users. That's why we rewrite it, piece by piece.
- Official learning videos. No need to spend days with searching for the one tutorial that is understandable, for the actual version and is not a spelling lesson. This is also an ongoing project.
- Bforartists is not bound to the Blender bubble. It has its own independant eco system.

This youtube video describes the differences by showing them.

[![Youtube Introduction](https://img.youtube.com/vi/zSbxfYF7rIY/0.jpg)](https://www.youtube.com/watch?v=zSbxfYF7rIY)

https://youtu.be/zSbxfYF7rIY

And here's a Youtube playlist with some quickstart videos:

https://youtu.be/Gm7aCzI4xws?list=PLB0iqEbIPQTZEkNWmGcIFGubrLYSDi5O g

Have fun :)

The Bforartists team



